Subject: Re: GNU-Win32 distribution question
From: [email-masked] (Steve Biskis)

19 May 1998 08:43:01 -0700
Message-ID: <[email-masked]>
Reply-To: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
To: <[email-masked]>

For those that are happy with the stock hierarchy
and work well with it, thats cool, but since variety
is the spice of life - Here's a novel thought:

Simply move:

headers -> /usr/include
libraries -> /usr/lib
binaries -> /usr/bin or /bin since sh.exe is already there anyway.

You Unixers out there will laugh & say duhhhhhhhhhhhh ...
although you'd be correcting me with /usr/local, I'm sure.

I then blow away the entire Cygnus hierarchy.
(Not entirely true, I maintain it on an isolated host to 
try to keep up with Sergey's winsup & newlib updates)

Admittedly, this in not a hot idea on real Unix machines
but since these paths don't already exist on a Windoze
machine, it works real nice.  Don't forget that the default
search path for headers & libs is /usr/include & /usr/lib,
respectively.  Now this assumes that the developer knows 
enough about makefiles to make the proper adjustments
for things like -lcygwin et. al. (I don't mess w/ specs)

If your using gdb then you also need to do the tk/tcl stuff:

I created:

/usr/share/tcl8.0
/usr/share/tix4.1
/usr/share/tk8.0

added them to my path along with /bin & /usr/bin & bingo.

I don't need to worry about GCC_EXEC_PREFIX or any of the rest.
I'm (a moment of silence for Jerry & the gang) the master of my domain.

I've got this setup on an NT4.0 machine and export these directories to
other machines on my net (ALL Win95) and I compile & debug jus' fine.

This has worked both hunky & dorey for me since b17.something .

The way I see it, the mildly complex tangle we get from Cygnus is what
works for THEM to maintain their products (esp. for multi-platform).
Thats cool, people would freak on my internal scheme as well.
But if your like me and just want to USE the basic tools (compile, link,
debug etc.)
and want to be ABSOLUTELY sure what is coming from where, better to take a
little responsibility rather that clog the email waves with silly problems
arising from mixing versions and the like.  

This is not to say that I feel this thread is one of those, IT IS NOT.

Now, the one thing that I do do differently is that I don't use bash, ash,
trash or any of the other cygwin reliant shell programs, I ditched them at 
the first sign of trouble (they intermittently choke on my makes).  
It may be my fault, but since I knew I had something else that worked
successfully for me, I went that way.  I use sh.exe from the old NeXT 
OpenSTEP releases 4.x and of course, I also use their version of
make.  Its commercial so it ain't free.  But since Apple has gobbled them 
up and now it seems put them(Rhapsody) under for good, I'll bet it can be
had. 
Their pricing practices were, unfortunately, much like their lesser cousin
Apple who
pioneered the way to put yourself out of business with a superior product. 
But I digress.

da bisk
 
----------
> From: Earnie Boyd <[email-masked]>
> To: Peter Ring <[email-masked]>; [email-masked]
> Subject: RE: GNU-Win32 distribution question
> Date: Wednesday, May 13, 1998 6:02 AM
> 
> ---Peter Ring <[email-masked]> wrote:
> 
> <snip>
> 
> > I have yet to find a way to mount Cygnus\B19\H-i386-cygwin32\bin that
> > does not bite me one way or another. Is everybody happy with it? How
> > many of you have developed clever mount schemes or rearranged the
> > filesystem hierarchy?
> 
> 1) set PATHÿOOT>\Cygnus\B19\H-i386-cygwin32\bin;%PATH%
>    bash
>    cd /bin
>    umount /
>    mount -b //<ROOT> /
> 
> 2) mount -b //<ROOT>/Cygnus/B19/H-i386-cygwin32/bin /bin
>    mount -b //<ROOT>/Cygnus/B19/H-i386-cygwin32/etc /etc
> 
> 3) mount -b //C /c
>    mount -b //D /d
>    etc.
> 
> NOTE: 
> Like directory names on different volumes will _confuse_ cygwin.
> 
> Example:
> mkdir -p /usr/bin
> mkdir -p //D/usr/local/bin
> mount -b //D/usr/local /usr/local
> 
> This scenario tends to _confuse_ cygwin.
> 
> Instead of doing the "mount -b //D/usr/local /usr/local" you should do:
> 
> cd /usr
> ln -s //D/usr/local local
> 
> This scenario will work correctly with cygwin.
> 
> -        \\||//
> ---o0O0--Earnie--0O0o----
> [email-masked]
> ------ooo0O--O0ooo-------
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".